package cz.moneta.test.dsl.cagw.oauth2.token;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;


public class TokenBuilder {

    private final Harness harness;

    public TokenBuilder(Harness harness) {
        this.harness = harness;
    }

    public Oauth2Token prepareOauth2TokenRequest() {
        return getBuilder(Oauth2Token.class);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}